P4_STR_QUOTE(3)

NAME
p4_str_quote - $" ( [ccc<">] -- $: str )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_str_quote(---);

DESCRIPTION

Parse ccc delimited by " (double quote) and store it in data space as an mstring. If interpreting, leave the MSA on the string stack. If compiling, append run-time semantics to the current definition that leaves the MSA on the string stack. A program should not alter the stored string. An error is thrown if the quoted string length is larger than the system parameter MAX_DATA_STR (see SM,). "string-quote"

NOTE: In contrast to S", the string stored by $" when interpreting is not transient.

The implementation is based on PFE code for S".

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams